## guile-hoot 0.7.0

=== examples/project-template/Makefile ===
hello.wasm: hello.scm
	guild compile-wasm -L . -o $@ $<

serve: hello.wasm
	guile -c '((@ (hoot web-server) serve))'

=== examples/repl/Makefile ===
repl.wasm: repl.scm Makefile
	../../pre-inst-env guild compile-wasm -g1 -o $@ $<

run-guile: repl.wasm
	../../pre-inst-env guile --no-auto-compile boot-repl.scm

run-node: repl.wasm
	node boot-repl.js

clean:
	rm -f repl.wasm

.PHONY: clean run-guile run-node

=== debian/changelog ===
guile-hoot (0.7.0-3) unstable; urgency=medium

  * Drop newgateway pipeline
  * Fix debci/autopkgtests

 -- Simon Josefsson <simon@josefsson.org>  Sun, 15 Feb 2026 13:15:26 +0100

guile-hoot (0.7.0-2) unstable; urgency=medium

  * Rename lrc.excludes to lrc.config
  * Standards-Version: 4.7.3
  * Drop Priority: optional
  * Bump debian/* copyright years
  * Clarify license of guix.scm, suggested by mechtilde

 -- Simon Josefsson <simon@josefsson.org>  Sat, 14 Feb 2026 21:43:00 +0100

guile-hoot (0.7.0-1) unstable; urgency=medium

  * New package.  Closes: #1118665.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 23 Oct 2025 17:23:42 +0200

=== debian/control ===
Source: guile-hoot
Section: libs
Maintainer: Simon Josefsson <simon@josefsson.org>
Build-Depends:
 debhelper-compat (= 13),
 guile-3.0-dev,
 texinfo,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/guile-hoot.git
Vcs-Browser: https://salsa.debian.org/debian/guile-hoot/
Homepage: https://codeberg.org/spirely/hoot

Package: guile-hoot
Build-Profiles: <!noguile>
Architecture: any
Section: lisp
Depends:
 guile-3.0,
 ${misc:Depends},
 ${shlibs:Depends},
Description: run Scheme code on Wasm GC-capable web browsers
 Hoot is a Spritely project for running Scheme code on Wasm GC-capable
 web browsers, featuring a Scheme to Wasm compiler and a full-featured
 Wasm toolchain.
 .
 Hoot is built on Guile and has no additional dependencies. The
 toolchain is self-contained and even features a Wasm interpreter for
 testing Hoot binaries without leaving the Guile REPL.
 .
 This package contains the Guile Hoot modules.

=== debian/rules ===
#! /usr/bin/make -f

#export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

%:
	dh $@

override_dh_auto_install:
	dh_auto_install $(DH_BUILD_OPTS) --destdir=debian/tmp

override_dh_dwz:
	dh_dwz --exclude=.go

override_dh_shlibdeps:
	dh_shlibdeps --exclude=.go

override_dh_auto_test:
	dh_auto_test -- TESTS="test/test-disassemble.scm test/test-char-prelude.scm"

=== debian/tests/control ===
Test-Command: guile -L . test/test-disassemble.scm
Features:
 test-name=guile-tests-disassemble,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-hoot,
